## org.eclipse.datatools.modelbase.sql.query.impl
Class OrderByOrdinalImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.OrderBySpecificationImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.OrderByOrdinalImpl

All Implemented Interfaces:
  OrderByOrdinal, OrderBySpecification, SQLQueryObject, SQLObject

    public class OrderByOrdinalImpl

extends OrderBySpecificationImpl
implements OrderByOrdinal

An implementation of the model object 'SQL Order By Ordinal'.

The following features are implemented:

- `Ordinal Value`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`int` `getOrdinalValue()`
`void` `setOrdinalValue(int newOrdinalValue)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.OrderBySpecificationImpl
`basicSetSelectStatement, eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, getNullOrderingOption, getOrderingSpecOption, getSelectStatement, isDescending, setDescending, setNullOrderingOption, setOrderingSpecOption, setSelectStatement`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.OrderBySpecification
`getNullOrderingOption, getOrderingSpecOption, getSelectStatement, isDescending, setDescending, setNullOrderingOption, setOrderingSpecOption, setSelectStatement`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getOrdinalValue

    public int getOrdinalValue()

  Specified by:
    `getOrdinalValue` in interface `OrderByOrdinal`
  Returns:
    the value of the 'Ordinal Value' attribute.
  See Also:
    `OrderByOrdinal.setOrdinalValue(int)`, `SQLQueryModelPackage.getOrderByOrdinal_OrdinalValue()`

### setOrdinalValue

    public void setOrdinalValue(int newOrdinalValue)

  Specified by:
    `setOrdinalValue` in interface `OrderByOrdinal`
  Parameters:
    `newOrdinalValue` - the new value of the 'Ordinal Value' attribute.
  See Also:
    `OrderByOrdinal.getOrdinalValue()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `OrderBySpecificationImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `OrderBySpecificationImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `OrderBySpecificationImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `OrderBySpecificationImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `OrderBySpecificationImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.